<div class="form-group" style="width: 20%; margin-left: auto; margin-right: auto; margin-top: 10%">
  <h1 style="text-align: center; text-decoration: underline">Register</h1>

  <div class="form-group">
    <label for="first_name">First Name</label>
    <input type="text" class="form-control" id="first_name"
           required
           name="first_name" #first_name>
  </div>

  <div class="form-group">
    <label for="last_name">Last Name</label>
    <input type="text" class="form-control" id="last_name"
           required
           name="last_name" #last_name>
  </div>

  <div class="form-group">
    <label for="employee_id">Employee ID (OrangeHRM)</label>
    <input type="text" class="form-control" id="employee_id"
           required
           name="employee_id" #employee_id>
  </div>

  <div class="form-group">
    <label for="account_type">Account Type</label>
    <select class="form-control" id="account_type" required #account_type>
      <option *ngFor="let type of account_types" [value]="type" >{{type}}</option>
    </select>
  </div>

  <div class="form-group">
    <label for="email">E-mail</label>
    <input type="text" class="form-control" id="email"
           required
           name="email" #email>
  </div>

  <div class="form-group">
    <label for="password">Password</label>
    <input required type="password"  class="form-control" id="password"
           name="password" #password>
  </div>

  <button style="margin-left: auto; margin-right: auto; display: block;" type="button" class="btn btn-default"
          (click)="register(email.value, password.value, first_name.value, last_name.value, account_types[account_type.selectedIndex], employee_id.value)">
    Register
  </button>
</div>
